## Class DistributoreArmate

    java.lang.Object
      DistributoreArmate

    public class DistributoreArmate

extends java.lang.Object

Gestisce la distribuzione delle armate ai giocatori ad ogni inizio di turno. Calcola le armate in base ai territori posseduti, in pił somma ad esse un numero di armate bonus per ogni intero continente posseduto.

Version:
  1.0.0
Author:
  Alessio Treglia

Constructor Summary
`DistributoreArmate()`

Method Summary
`static int` `calcolaArmatePerCarte(Giocatore g)` Calcola un numero di armate bonus in base alle combinazione di carte possedute dal giocatore.
`static int` `daiArmate(Giocatore giocatore)` Calcola il numero totale di territori posseduti dal giocatore al quale distribuire le armate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributoreArmate

    public DistributoreArmate()

Method Detail

### calcolaArmatePerCarte

    public static int calcolaArmatePerCarte(Giocatore g)

  Calcola un numero di armate bonus in base alle combinazione di carte possedute dal giocatore. Ogni combinazione convertita in armate prevede anche il ritiro delle carte dal giocatore.

  Parameters:
    `g` - riferimento al `Giocatore`
  Returns:
    numero di armate bonus spettanti al `Giocatore` in base alle carte possedute

### daiArmate

    public static int daiArmate(Giocatore giocatore)

  Calcola il numero totale di territori posseduti dal giocatore al quale distribuire le armate. Divide per 3 il numero totale di territori posseduti da esso, e a questo numero aggiunge anche il numero di armate bonus spettanti al giocatore dall'eventuale controllo di interi continenti.

  Parameters:
    `giocatore` - `Giocatore` al quale distribuire le armate
  Returns:
    il numero di armate spettanti al giocatori in base ai territori posseduti pił le armate bonus per i continenti.